<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$disputeId = '159763014';
$response = $api->Disputes->GetTransactions($disputeId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
[
{
"Id": "repud_m_01HYZCXBG91VY24FYXXSBT2C31",
"Tag": null,
"CreationDate": 1716893167,
"AuthorId": "user_m_01HYZC2PNRVW5NDTNG6KHXE31Z",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1716893167,
"Type": "PAYOUT",
"Nature": "REPUDIATION",
"CreditedWalletId": null,
"DebitedWalletId": "CREDIT_EUR",
"DepositId": null
},
{
"Id": "refund_m_01HYZD0XV5NDG5196BNG1NZRFV",
"Tag": null,
"CreationDate": 1716893284,
"AuthorId": "user_m_01HYZC2PNRVW5NDTNG6KHXE31Z",
"CreditedUserId": "150427320",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1716893284,
"Type": "PAYIN",
"Nature": "REFUND",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": null,
"DepositId": null
}
]
Transactions
List Transactions for a Dispute
GET
/
v2.01
/
{ClientId}
/
disputes
/
{DisputeId}
/
transactions
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$disputeId = '159763014';
$response = $api->Disputes->GetTransactions($disputeId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
[
{
"Id": "repud_m_01HYZCXBG91VY24FYXXSBT2C31",
"Tag": null,
"CreationDate": 1716893167,
"AuthorId": "user_m_01HYZC2PNRVW5NDTNG6KHXE31Z",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1716893167,
"Type": "PAYOUT",
"Nature": "REPUDIATION",
"CreditedWalletId": null,
"DebitedWalletId": "CREDIT_EUR",
"DepositId": null
},
{
"Id": "refund_m_01HYZD0XV5NDG5196BNG1NZRFV",
"Tag": null,
"CreationDate": 1716893284,
"AuthorId": "user_m_01HYZC2PNRVW5NDTNG6KHXE31Z",
"CreditedUserId": "150427320",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1716893284,
"Type": "PAYIN",
"Nature": "REFUND",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": null,
"DepositId": null
}
]
This call returns the transactions following the creation of a given dispute, in other words, the repudiation transfer, and the settlement (if any).
Path parameters
The unique identifier of the dispute.
Query parameters
Allowed values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction. You can filter on multiple values by separating them with a comma.The code indicating the result of the operation. You can filter on multiple values by separating them with a comma.
The date before which the transaction was created (based on the transaction’s
CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.The date after which the transaction was created (based on the transaction’s
CreationDate parameter). You can filter on a specific time range by using both the AfterDate and BeforeDate query parameters.Allowed values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction. You can filter on multiple values by separating them with a comma.Allowed values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred. You can filter on multiple values by separating them with a comma.Responses
200
200
The list of transactions created by the platform.
Show properties
Show properties
The transaction created by the platform.
Show properties
Show properties
Max length: 128 characters (see data formats for details)The unique identifier of the object.
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
The date and time at which the object was created.
The unique identifier of the user at the source of the transaction.
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
Information about the debited funds.
Show properties
Show properties
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds (the sell currency).
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).During a conversion, (DebitedFunds.Amount - Fees) * MarketRate = CreditedFunds.Amount. Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
Show properties
Show properties
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
The explanation of the result code.
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.The type of transaction.
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
The unique identifier of the credited wallet.
The unique identifier of the debited wallet.
[
{
"Id": "repud_m_01HYZCXBG91VY24FYXXSBT2C31",
"Tag": null,
"CreationDate": 1716893167,
"AuthorId": "user_m_01HYZC2PNRVW5NDTNG6KHXE31Z",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1716893167,
"Type": "PAYOUT",
"Nature": "REPUDIATION",
"CreditedWalletId": null,
"DebitedWalletId": "CREDIT_EUR",
"DepositId": null
},
{
"Id": "refund_m_01HYZD0XV5NDG5196BNG1NZRFV",
"Tag": null,
"CreationDate": 1716893284,
"AuthorId": "user_m_01HYZC2PNRVW5NDTNG6KHXE31Z",
"CreditedUserId": "150427320",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 10000
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1716893284,
"Type": "PAYIN",
"Nature": "REFUND",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": null,
"DepositId": null
}
]
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$disputeId = '159763014';
$response = $api->Disputes->GetTransactions($disputeId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
Was this page helpful?
⌘I